Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.service.helper
Class PendingIn

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--context.arch.service.helper.PendingIn

public class PendingIn
extends java.util.Hashtable

This class maintains a list of pending service requests, kept by a component making the service requests.

See Also:
  `Service`, Serialized Form

Constructor Summary
`PendingIn()` Basic empty constructor

Method Summary
`void` | `addPending(java.lang.String id)` Adds the given request id to the pending container.
`boolean` | `isPending(java.lang.String id)` Determines whether the given request id is in the pending container
`int` | `numPending()` Returns the number of requests pending in the container return the number of requests pending in the container
`void` | `removePending(java.lang.String id)` Removes the given request id from the pending container

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PendingIn

    public PendingIn()

  Basic empty constructor

Method Detail

### addPending

    public void addPending(java.lang.String id)

  Adds the given request id to the pending container.
  Parameters:
    `id` - Request id to make pending

### isPending

    public boolean isPending(java.lang.String id)

  Determines whether the given request id is in the pending container
  Parameters:
    `id` - Request id to look for
  Returns:
    whether request is pending

### removePending

    public void removePending(java.lang.String id)

  Removes the given request id from the pending container
  Parameters:
    `id` - Request id to remove

### numPending

    public int numPending()

  Returns the number of requests pending in the container return the number of requests pending in the container

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD